{% extends 'base.html.twig' %}

{% block title %}Item index{% endblock %}

{% block body %}
<h1>Item index</h1>

<table class="table">
  <thead>
    <tr>
      <th>Id</th>
      <th>Nom</th>
      <th>Marque</th>
      <th>Prix</th>
      <th>Nbre_tickets</th>
      <th>actions</th>
    </tr>
  </thead>
  <tbody>
    {% for item in items %}
    <tr>
      <td>{{ item.id }}</td>
      <td>{{ item.name }}</td>
      <td>{{ item.brand }}</td>
      <td>{{ item.price }}</td>
      <td>{{ item.nbreTickets }}</td>
      <td>
        <a href="{{ path('item_show', {'id': item.id}) }}">show</a>
        <a href="{{ path('item_edit', {'id': item.id}) }}">edit</a>
      </td>
    </tr>
    {% else %}
    <tr>
      <td colspan="6">no records found</td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<div class="container">
  <div class="card-deck">


    {% for item in items %}
    <div class="card border-dark" style="width:12rem" onclick="location.href='{{ 'item/'~item.id }}'">
      <img class="card-img-top minimg" src="{{ asset('/uploads/'~item.image) }}">
      <div class="card-body">
        <h5 class="card-title">{{ item.name }}&nbsp;<span class="badge badge-primary">New</span></h5>
        <div class="card-text">
          <p>{{ item.brand }}</p>
          <p>{{ item.price }}€</p>
        </div>
        <a href="#" class="btn btn-primary btn-info" >View more</a>

      </div>

    </div>
    {% endfor %}
  </div>
</div>

<a href="{{ path('item_new') }}">Create new</a>
{% endblock %}
